package cn.com.countrygarden.bi.main.model.performance;

import java.util.Date;

/**
 * 城市公司信息
 * @author Max Date:2018/09/12
 * @version 1.0
 * @since 1.8
 */
public class PerformanceCompany {
    private Long comId;//主键

    private String hierarchyId;//城市id

    private String hierarchyName;//城市名称

    private Short isDelete;//是否删除，0表示没删除，1表示删除

    private Date createdDate;

    private String createdBy;

    private Date updateDate;

    private String updateBy;

    public PerformanceCompany(Long comId, String hierarchyId, String hierarchyName, Short isDelete, Date createdDate, String createdBy, Date updateDate, String updateBy) {
        this.comId = comId;
        this.hierarchyId = hierarchyId;
        this.hierarchyName = hierarchyName;
        this.isDelete = isDelete;
        this.createdDate = createdDate;
        this.createdBy = createdBy;
        this.updateDate = updateDate;
        this.updateBy = updateBy;
    }

    public PerformanceCompany() {
        super();
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public String getHierarchyId() {
        return hierarchyId;
    }

    public void setHierarchyId(String hierarchyId) {
        this.hierarchyId = hierarchyId == null ? null : hierarchyId.trim();
    }

    public String getHierarchyName() {
        return hierarchyName;
    }

    public void setHierarchyName(String hierarchyName) {
        this.hierarchyName = hierarchyName == null ? null : hierarchyName.trim();
    }

    public Short getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Short isDelete) {
        this.isDelete = isDelete;
    }

    public Date getCreatedDate() {
        return createdDate;
    }

    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy == null ? null : updateBy.trim();
    }
}